
#include <linux/module.h>
#include <linux/kernel.h>


#include "port_result.h"

struct port_result *create_port_result(int port)
{
	struct port_result *this = 
		kmalloc(sizeof(struct port_result), GFP_KERNEL);

	if(!this)
		return NULL;

	memset(this, 0, sizeof(struct port_result));
	
	this->port = port;

	return this;
	
}

void delete_port_result(struct port_result *this)
{				
	kfree(this);
}
