#ifndef _PBUNNY_TCP_RENO_H_
#define _PBUNNY_TCP_RENO_H_

#include "timing.h"


#define CWND_QUICK_START_INC                1

#define INITIAL_CWND                        (2 * CWND_BLOWUP_FACTOR)
#define INITIAL_CCTHRESH                    (80000 * CWND_BLOWUP_FACTOR)


#define DEFAULT_BATCH_TIMEOUT_NS    1000000000 /* 1s */
#define MINIMUM_BATCH_TIMEOUT_NS       1000000 /* 1ms */

#define DEFAULT_BATCH_SIZE                   9

struct tcp_reno_state
{
	s64 rtt_average;
	s64 rtt_deviation;	
};

extern struct timing_algo tcp_reno;

#endif

