#ifndef _SNIFFED_PACKET_H
#define _SNIFFED_PACKET_H

#include "../scanner_module.h" /* boolean */

/* describes a sniffed packet */

struct sniffed_packet_descr_t{
	
	__be32            src;
	__be32            subject;
	int               state;	
	struct timespec   time_received;	
	int               protocol;
	int               port;
	int               icmp_type;
	int               icmp_code;
	__be16            icmp_seq_num;
	__be16            icmp_id;
	__be16            udp_data;
	__be32            ack_seq;
	boolean           tcp_syn_ack;
	boolean           tcp_ack_rst;
	boolean           tcp_rst;
	
};

struct sniffed_packet_descr_t *new_sniffed_packet_descr(void);

#endif
